- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# swdepot – Manage packages with swdepot package manager (HP-UX)

- Synopsis
- Parameters
- Examples
- Status

## Synopsis

- Will install, upgrade and remove packages with swdepot package manager (HP-UX)

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
depot - |  | The source repository from which install or upgrade a package.
name - / required |  | package name.
state - / required | Choices: present latest absent | whether to install (`present`, `latest`), or remove (`absent`) a package.

## Examples

    - swdepot:
        name: unzip-6.0
        state: present
        depot: 'repository:/path'

    - swdepot:
        name: unzip
        state: latest
        depot: 'repository:/path'

    - swdepot:
        name: unzip
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Raul Melo (@melodous)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.